//============================================================================
//
//                              Program/Module
//                                   from
//                 C++ TOOLBOX FOR VERIFIED COMPUTING I
//                         Basic Numerical Problems
//
//      Copyright (c) 1995   Rolf Hammer, Matthias Hocks, Dietmar Ratz
//
// This program/module is free software for non-commercial use. For details
// on theory, algorithms, and programs, see the book
//
//  R. Hammer, M. Hocks, U. Kulisch, D. Ratz:  C++ Toolbox for
//  Verified Computing I - Basic Numerical Problems. Springer-Verlag,
//  Heidelberg, New York, 1995.
//
// This program/module is distributed WITHOUT ANY WARRANTY. For details,
// see the "Disclaimer / Legal Matters" of the book (page iv).
//
//============================================================================
//----------------------------------------------------------------------------
// File: i_util (header)
// Purpose: Utilities of type 'interval'
// Global functions:
//    in()      : contained-in relation for a real
//    in()      : contained-in-the-interior relation for two intervals
//    rnd()     : to round a dotprecision argument to an interval
//    Blow()    : epsilon inflation
//    Disjoint(): test for disjointedness of two intervals
//    AbsMin()  : smallest absolute value of an interval
//    AbsMax()  : greatest absolute value of an interval
//    RelDiam() : relative diameter of an interval
//    UlpAcc()  : to check whether the width of an interval is less than a
//                certain number of ulps (ulp = unit in the last place of
//                the mantissa)
//    Power()   : exponentiation by an integer for intervals
//----------------------------------------------------------------------------
#ifndef __I_UTIL_HPP
#define __I_UTIL_HPP

#include <interval.hpp>     // Interval arithmetic

// obsolete file

//using namespace cxsc;
//using namespace std;

//extern int      in         ( real, const interval& );
//extern int      in         ( const interval&, const interval& );
//extern void     rnd        ( dotprecision&, interval& );
//extern interval Blow       ( interval, real );
//extern int      Disjoint   ( interval, interval );
//extern real     AbsMin     ( interval );
//extern real     AbsMax     ( interval );
//extern real     RelDiam    ( interval );
//extern int      UlpAcc     ( interval, int );
//extern interval Power      ( interval, int );
//extern interval Pi         ( );
#endif
